
Redmine - Feature #13800

File REST API

2013-04-18 07:09 - Vlad Lankin

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

1. Extend REST API for uploading files into "Files", but not only as attachment of issue.

2. Extend REST API: get list of all downloaded files on any version

Related issues:

Related to Redmine - Feature #7725: REST API for files Closed 2011-02-25

Related to Redmine - Patch #19116: Files REST API Closed

History

#1 - 2013-04-18 14:56 - Etienne Massip

- Subject changed from Publish attachment to File REST API

- Category set to REST API

#2 - 2014-05-31 18:29 - zhiguo Zhu

- File projects_show_api.rsb.diff added

GET /projects.xml?include=attachments

#3 - 2015-02-11 17:39 - Lucile Quirion

Related to feature #7725

#4 - 2015-03-12 07:36 - Toshi MARUYAMA

- Related to Feature #7725: REST API for files added

#5 - 2015-03-18 08:58 - Toshi MARUYAMA

- Related to Patch #19116: Files REST API added

Files

projects_show_api.rsb.diff 1.45 KB 2014-05-31 zhiguo Zhu
